* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

html,
body {
    width: 100%;
    height: 100%;
    overflow-x:hidden;
}

body {
    background:
        radial-gradient(circle at top left, rgba(0, 255, 200, 0.08), transparent 40%),
        radial-gradient(circle at bottom right, rgba(120, 0, 255, 0.08), transparent 40%),
        #0b0b0b;

    color: rgb(0, 255, 255);
    overflow-x: hidden;
}

header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
    padding: 10px 20px;
    font-size: 20px;
    text-shadow: 1px 2px 10px #a8ffff;
    position: relative;
}

header h1 {
    font-size: 25px;
    position: fixed;
    top: 10px;
    right: 12px;
    z-index: 999;
}

header nav {
    display: none;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    flex-direction: column;
    width: 100%;
    backdrop-filter: blur(10px);
}

header nav button {
    border: none;
    background: transparent;
    color: rgb(117, 240, 199);
    font-size: 19px;
    cursor: pointer;
    text-shadow: 1px 2px 10px #a8ffff;
}

header nav button:hover {
    text-decoration: underline antiquewhite;
    color: antiquewhite;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    height: auto;
    width: 100%;
    min-height: 80vh;
    height: auto;
}

main input {
    position: relative;
    padding: 14px;
    border-radius: 12px;
    font-size: larger;
    font-weight: 500;
    border: 1px solid aqua;
    box-shadow: 1px 2px 20px 0px #a8ffff;
}

main input:hover {
    transform: scale(1.05);
}

main input:focus {
    box-shadow: 0 0 10px rgba(0, 255, 200, 0.4);
    outline: none;
}

main button {
    padding: 10px 20px;
    font-size: 20px;
    border-radius: 8px;
    background-color: #a8ffff;
    color: black;
    font-weight: 700;
    cursor: pointer;
}
main button:hover{
    transform: scale(0.9);
}
main button:active {
    transform: scale(0.8);
    box-shadow: 1px 2px 20px 0px #a8ffff;
}

ul li {
    font-size: 18px;
    margin: 10px;
}

ul li button {
    border: none;
    padding: 10px 20px;
    font-size: 15px;
    border-radius: 8px;
    background-color: rgb(193, 248, 111);
    color: black;
    font-weight: 700;
}

/* nav filter */
.filter-btn.active {
    background-color: #000;
    color: #fff;
}

/* this is target ul */
#taskList {
    list-style: none;
}

/* this is for mobile nav bar */
.active {
    display: flex;
}

/* this is for hidden logo */
.Nodisplay {
    display: none;
}

/* for tablet */
@media (min-width:768px) {
    header nav {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        gap: 50px;
    }

    header h1 {
        display: none;
    }
}


